Summary:	A GNU general-purpose parser generator.
Name:		bison
Group:		Development/Tools
License:	GPL
Version:	2.0
Release:	1
Source0:	http://ftp.gnu.org/pub/gnu/bison/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
Bison is a general purpose parser generator that converts a grammar
description for an LALR(1) context-free grammar into a C program to
parse that grammar. Bison can be used to develop a wide range of
language parsers, from ones used in simple desk calculators to complex
programming languages. Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any
changes. If you know Yacc, you shouldn't have any trouble using
Bison. You do need to be very proficient in C programming to be able
to use Bison. Bison is only needed on systems that are used for
development.

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc %{_mandir}/man1/bison.1*
  %doc %{_infodir}/bison.info*

  %attr(0755,root,root)		%dir %{_datadir}/bison
  %attr(0755,root,root)		%dir %{_datadir}/bison/m4sugar

  %attr(0444,root,root)		%{_datadir}/bison/*.m4
  %attr(0444,root,root)		%{_datadir}/bison/*.c
  %attr(0444,root,root)		%{_datadir}/bison/*.cc
  %attr(0444,root,root)		%{_datadir}/bison/README
  %attr(0444,root,root)		%{_datadir}/bison/m4sugar/*.m4
  %attr(0444,root,root)		%{_libdir}/liby.a

  %attr(0511,root,root)		%{_bindir}/bison
  %attr(0511,root,root)		%{_bindir}/yacc

%prep
%setup -q

%build
  %configure
  make LDFLAGS=-s %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # Remove unpackaged files.
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/dir

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.0, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
